with

total as (
select  case when cd_nom = cd_ref then concat ('<b>',lb_nom,'</b>') else lb_nom end as lb_nom_key, cd_nom as cd_nom_key, concat_ws('!',lb_nom,cd_nom) as lb_cd_nom_key, regne, group2_inpn as groupe, group1_inpn, fr
from inpn.taxref_v12
union
select case when nom_vern in (select nom_vern from inpn.taxref_v12 where rang = 'ES'group by nom_vern having count (nom_vern) > 1) then case when cd_nom = cd_ref then concat ('<span style="color:red ; font-weight: bold">', concat_ws('(',nom_vern,lb_nom),'</span>') else concat ('<span style="color:red">', concat_ws('(',nom_vern,lb_nom),'</span>') end else case when cd_nom = cd_ref then concat ('<span style = "font-weight: bold">', concat_ws('(',nom_vern,lb_nom),'</span>') else concat_ws('(',nom_vern,lb_nom) end end as lb_nom_key, 
cd_nom as cd_nom_key, concat_ws('!',lb_nom,cd_nom) as lb_cd_nom_key, regne, group2_inpn as groupe, group1_inpn, fr
from inpn.taxref_v12
where rang = 'ES')

select *
from total


where 

regne = 'Fungi'

and

(fr = 'P'
or  fr ='E'
or  fr ='S'
or  fr ='C'
or  fr ='I'
or  fr ='J'
or  fr ='M'
or  fr ='D'
or  fr is null)

and 
(
(groupe != 'Diatomées' 
and  groupe != 'Scléractiniaires' 
and  groupe != 'Pycnogonides' 
and  groupe != 'Octocoralliaires' 
and  groupe != 'Ochrophyta' 
and  groupe != 'Rhodophytes' 
and  groupe != 'Némertes' 
and  groupe != 'Nématodes'
and  groupe != 'Hydrozoaires' 
and  groupe != 'Ascidies' 
and  groupe != 'Annélides'
and  groupe != 'Acanthocéphales')

or groupe is null)

and
(
(group1_inpn != 'Bryozoaires'
and group1_inpn != 'Cnidaires'
and group1_inpn != 'Cryptophytes'
and group1_inpn != 'Cténaires'
and group1_inpn != 'Cyanobactéries'
and group1_inpn != 'Echinodermes'
and group1_inpn != 'Foraminifères'
and group1_inpn != 'Gastrotriches'
and group1_inpn != 'Onychophores'
and group1_inpn != 'Porifères'
and group1_inpn != 'Rotifères'
and group1_inpn != 'Siponcles'
and group1_inpn != 'Tardigrades'
and group1_inpn != 'Vers'
and group1_inpn != 'Protéobactéries')

or group1_inpn is null)

order by lb_nom_key
